Bug 1273633 - Wrong linking in sssd-libwbclient package
Summary: Wrong linking in sssd-libwbclient package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: SSSD Maintainers
QA Contact: Steeve Goveas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-20 20:17 UTC by Jakub Hrozek
Modified: 2020-05-02 18:13 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-04 07:12:17 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github SSSD sssd issues 3886 None None None 2020-05-02 18:13:03 UTC
Red Hat Product Errata RHEA-2016:2476 normal SHIPPED_LIVE sssd bug fix and enhancement update 2016-11-03 14:08:11 UTC

Description Jakub Hrozek 2015-10-20 20:17:21 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/2845

Version 0.12 is installed but 0.11 is linked.

{{{
[root@fclient-1120245 ~]# rpm -q libwbclient sssd-libwbclient
libwbclient-4.2.3-7.el7.x86_64
sssd-libwbclient-1.13.0-40.el7.x86_64

[root@fclient-1120245 ~]# rpm  --scripts -ql sssd-libwbclient
postinstall scriptlet (using /bin/sh):
/usr/sbin/update-alternatives --install /usr/lib64/libwbclient.so.0.11 \
                                libwbclient.so.0.11-64 \
                                /usr/lib64/sssd/modules/libwbclient.so.0.11.0 20
/sbin/ldconfig
preuninstall scriptlet (using /bin/sh):
if [ $1 -eq 0 ]; then
        /usr/sbin/update-alternatives --remove \
                                libwbclient.so.0.11-64 \
                                /usr/lib64/sssd/modules/libwbclient.so.0.11.0
fi
/sbin/ldconfig
/usr/lib64/sssd/modules/libwbclient.so.0
/usr/lib64/sssd/modules/libwbclient.so.0.12.0

[root@fclient-1120245 ~]# wbinfo -n SSSDAD2012R2\\Domain\ Users
could not obtain winbind interface details: WBC_ERR_WINBIND_NOT_AVAILABLE
could not obtain winbind separator!
failed to call wbcLookupName: WBC_ERR_WINBIND_NOT_AVAILABLE
Could not lookup name SSSDAD2012R2\Domain Users

** Fixed by

[root@fclient-1120245 ~]# /usr/sbin/update-alternatives --install /usr/lib64/libwbclient.so.0.12 libwbclient.so.0.12-64 /usr/lib64/sssd/modules/libwbclient.so.0.12.0 20

[root@fclient-1120245 ~]# wbinfo -n SSSDAD2012R2\\Domain\ Users
S-1-5-21-988729707-3926255045-3384196396-513 SID_DOM_GROUP (2)

}}}

Comment 1 Jakub Hrozek 2016-07-01 13:55:15 UTC
This was fixed in the downstream build.

Comment 3 shridhar 2016-09-12 09:02:26 UTC
Verified with:

~]# cat /etc/redhat-release 
Red Hat Enterprise Linux Client release 7.3 Beta (Maipo)

[root@dell-pesc1425-02 ~]#  rpm -q libwbclient sssd-libwbclient
libwbclient-4.4.4-9.el7.x86_64
sssd-libwbclient-1.14.0-36.el7.x86_64


[root@dell-pesc1425-02 ~]#  rpm  --scripts -ql sssd-libwbclient
postinstall scriptlet (using /bin/sh):
/usr/sbin/update-alternatives \
    --install /usr/lib64/libwbclient.so.0.12 \
              libwbclient.so.0.12-64 \
              /usr/lib64/sssd/modules/libwbclient.so.0.12.0 20
/sbin/ldconfig
preuninstall scriptlet (using /bin/sh):
if [ $1 -eq 0 ]; then
    /usr/sbin/update-alternatives \
        --remove libwbclient.so.0.12-64 \
                 /usr/lib64/sssd/modules/libwbclient.so.0.12.0
fi
/sbin/ldconfig
/usr/lib64/sssd
/usr/lib64/sssd/modules
/usr/lib64/sssd/modules/libwbclient.so.0
/usr/lib64/sssd/modules/libwbclient.so.0.12.0

Comment 5 errata-xmlrpc 2016-11-04 07:12:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2476.html


Note You need to log in before you can comment on or make changes to this bug.